View Issue Details

IDProjectCategoryView StatusLast Update
0003170GNUnetcadet servicepublic2013-12-24 20:54
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityurgentSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.0Fixed in Version0.10.0 
Summary0003170: segfault in mesh
Description==32306== Invalid write of size 8
==32306== at 0x114A26: connection_bck_keepalive (gnunet-service-mesh_connection.c:873)
==32306== by 0x508DEC0: run_ready (scheduler.c:595)
==32306== by 0x508E812: GNUNET_SCHEDULER_run (scheduler.c:817)
==32306== by 0x509D60F: GNUNET_SERVICE_run (service.c:1478)
==32306== by 0x12F9A9: main (gnunet-service-mesh.c:161)
==32306== Address 0x91890d0 is 256 bytes inside a block of size 272 free'd
==32306== at 0x4C2A74C: free (vg_replace_malloc.c:468)
==32306== by 0x5052508: GNUNET_xfree_ (common_allocation.c:239)
==32306== by 0x11A875: GMC_destroy (gnunet-service-mesh_connection.c:2281)
==32306== by 0x11AC1E: GMC_notify_broken (gnunet-service-mesh_connection.c:2438)
==32306== by 0x12811E: notify_broken (gnunet-service-mesh_peer.c:228)
==32306== by 0x5065F1D: GNUNET_CONTAINER_multihashmap_iterate (container_multihashmap.c:340)
==32306== by 0x12873F: core_disconnect (gnunet-service-mesh_peer.c:295)
==32306== by 0x52BACA6: disconnect_and_free_peer_entry (core_api.c:389)
==32306== by 0x52BE584: main_notify_handler (core_api.c:882)
==32306== by 0x504F5C9: receive_task (client.c:589)
==32306== by 0x508DEC0: run_ready (scheduler.c:595)
==32306== by 0x508E812: GNUNET_SCHEDULER_run (scheduler.c:817)
Steps To Reproducegrothoff@spec:~/svn/gnunet/src/dv$ ../testbed/gnunet-testbed-profiler -c test_transport_dv_data.conf -p 10 -e 100
TagsNo tags attached.

Relationships

child of 0001795 confirmed DV is not implemented 

Activities

Christian Grothoff

2013-12-08 23:36

manager   ~0007791

Fixed in SVN 31188, again by making sure GNUNET_SCHEDULER_cancel is invoked last, to avoid callbacks triggered during shutdown adding tasks that are then not cancelled.

Issue History

Date Modified Username Field Change
2013-12-08 22:00 Christian Grothoff New Issue
2013-12-08 22:00 Christian Grothoff Status new => assigned
2013-12-08 22:00 Christian Grothoff Assigned To => Bart Polot
2013-12-08 22:25 Christian Grothoff Relationship added child of 0001795
2013-12-08 23:36 Christian Grothoff Note Added: 0007791
2013-12-08 23:36 Christian Grothoff Status assigned => resolved
2013-12-08 23:36 Christian Grothoff Fixed in Version => 0.10.0
2013-12-08 23:36 Christian Grothoff Resolution open => fixed
2013-12-08 23:36 Christian Grothoff Assigned To Bart Polot => Christian Grothoff
2013-12-24 20:54 Christian Grothoff Status resolved => closed
2014-05-09 18:34 Christian Grothoff Category mesh service => cadet service